Inner Space - Bug - Static Analysis #1146

LsModule SDK 20: C6308 Realloc leak
2014-01-21 01:22 PM - CyberTech

Status: New Start date: 2014-01-21
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

vbulletin_issue_id:

Description

C6308 Realloc leak

'realloc’ might return null pointer: assigning null pointer to 'argv', which is passed as an argument to 'realloc’, will cause the original
memory block to be leaked.

LSMMySQL - Ismodule.h (Line 395)

Related issues:
Related to Inner Space - Bug - Static Analysis #1145: LSModule SDK 20: C28182... New 2014-01-21

History

#1 - 2014-01-21 01:24 PM - CyberTech
- Related to Bug - Static Analysis #1145: LSModule SDK 20: C28182 Dereferencing a copy of a null pointer added

#2 - 2014-03-19 07:48 PM - CyberTech
- Tracker changed from Bug to Bug - Static Analysis
